# -*- coding: utf-8 -*-
""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from __future__ import unicode_literals

from django.db import models, migrations
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('workflow', '0011_auto_20151109_1545'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='runningworkflow',
            name='workflow',
        ),
        migrations.AlterField(
            model_name='step',
            name='reference',
            field=models.ForeignKey(to='workflow.Workflow', related_name='recursive_workflow', on_delete=django.db.models.deletion.SET_NULL, null=True, blank=True),
        ),
        migrations.AlterField(
            model_name='step',
            name='status',
            field=models.CharField(max_length=30, default='incipient', choices=[('incipient', 'incipient'), ('active', 'active'), ('paused', 'paused'), ('failed', 'failed'), ('finished', 'finished'), ('awaiting', 'awaiting'), ('skipped', 'skipped')]),
        ),
        migrations.AlterField(
            model_name='step',
            name='task',
            field=models.CharField(max_length=500, default='', choices=[('unknown', 'unknown')]),
        ),
        migrations.AlterField(
            model_name='step',
            name='workflow',
            field=models.ForeignKey(to='workflow.Workflow', on_delete=models.DO_NOTHING),
        ),
        migrations.DeleteModel(
            name='RunningWorkflow',
        ),
    ]
