""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Django WSGI application path in pattern MODULE_NAME:VARIABLE_NAME
wsgi_app = "sealab.wsgi:application"
# The granularity of Error log outputs
loglevel = "warn"
# The number of worker processes for handling requests
workers = 8
# The socket to bind
bind = "localhost:9191"
# Write access and error info to /var/log
accesslog = errorlog = "/var/log/cyops/cyops-workflow/fsr-workflow.log"
# Redirect stdout/stderr to log file
capture_output = True
# PID file so you can easily fetch process ID
pidfile = "/var/run/fsr-workflow/fsr-workflow.pid"
# Decrease the time for stopping the workers (Time in sec)
graceful_timeout = 5