""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.urls import path
from django.views.generic.base import RedirectView

from expression_builder.views import ExpressionsBulkView

urlpatterns = [
    path('', RedirectView.as_view(url='/api/', permanent=False)),
    path('expressions/bulk',
         ExpressionsBulkView.as_view(
             {
                 'post': 'bulk_create_or_update',
                 'delete': 'bulk_delete'
             }, name='expressions_bulk')
         ),
]
