""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ('workflow', '0046_customperiodictask'),
    ]

    operations = [
        migrations.RunSQL("ALTER TABLE workflow_workflow SET (autovacuum_vacuum_scale_factor = 0.02, "
                          "autovacuum_analyze_scale_factor = 0.015, autovacuum_vacuum_threshold=10000, "
                          "autovacuum_analyze_threshold=1000, autovacuum_vacuum_cost_limit=5000);"),
        migrations.RunSQL("ALTER TABLE workflow_step SET (autovacuum_vacuum_scale_factor = 0.02, "
                          "autovacuum_analyze_scale_factor = 0.015, autovacuum_vacuum_threshold=10000, "
                          "autovacuum_analyze_threshold=1000, autovacuum_vacuum_cost_limit=5000);")
    ]
